export interface Skill {
    id: number;
    name: string;
    description: string;
    type: string;
    pointsCost: number;
    icon: string;
    skillsIdRequired: number | null;
    effects: SkillEffect[];
}

export interface SkillEffect {
    id: number;
    skillId: number;
    tier: string;
    effect: string;
    value: number;
}

export interface PetSkill {
    id: number;
    petId: string;
    skillId: number;
    skill: Skill;
    currentTier: string;
}
